curl --request GET \
--url https://api-sandbox.argyle.com/v2/users/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/v2/users/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/v2/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"created_at": "2023-01-30T22:25:38.971Z",
"items_connected": [
"item_123456789",
"item_987654321"
],
"employers_connected": [
"Whole Goods",
"Bullseye"
],
"external_metadata": {
"notes": "Moved to stage 2 of loan approval.",
"category": "Summer Initiative"
},
"external_id": "July_Connection",
"first_name": "Sarah",
"last_name": "Longfield",
"email": "sarah@email.com",
"phone_number": "+12125555555",
"ssn": "522-09-1191",
"address": {
"city": "New York",
"line1": "852 North W St",
"line2": "Apt 221",
"state": "NY",
"country": "US",
"postal_code": "10014"
},
"birth_date": {
"year": 1980,
"month": 10,
"day": 30
}
}Retrieve A User
Retrieves a user object.
Authorizations
Username = api_key_id, Password = api_key_secret
Path Parameters
ID of the user object to be retrieved.
Response
Unique ID of the user.
"018051aa-f7a9-a0db-2f38-6cfa325e9d69"
Timestamp (ISO 8601) when the user object was created.
"2023-01-30T22:25:38.971Z"
Items the user has connected through Link. Typically employers or payroll platforms.
["item_123456789", "item_987654321"]
Individual employers associated with the connected Items.
["Whole Goods", "Bullseye"]
Free-text field where additional context for the user can be added.
- Can be any valid JSON, such as a string or object.
Note: Using external_id (see below) is recommended when the ability to filter users by an external value is needed.
Show child attributes
Show child attributes
{
"notes": "Moved to stage 2 of loan approval.",
"category": "Summer Initiative"
}
Free-text field where additional context for the user can be added.
- Can be any string of 100 characters or less.
- Multiple users can have the same
external_id.
Often used to group users, or associate your internal ID's to users.
- Can be attached to invites or shareable URLs.
- Can be used as a query parameter when listing users. (Only exact matches are supported)
- Can be used to search for specific users within the Connections section of Console.
- Will appear on billing CSVs if associated with a user.
"July_Connection"
First name of the user.
"Sarah"
Last name of the user.
"Longfield"
Email of the user.
"sarah@email.com"
Phone number of the user. E.164 international format.
"+12125555555"
Social Security number of the user.
"522-09-1191"
Address of the user.
Show child attributes
Show child attributes
Date of birth of the user.
Show child attributes
Show child attributes